Bug 182917 - [igb] strange out traffic with igb interfaces
Summary: [igb] strange out traffic with igb interfaces
Status: Closed Feedback Timeout
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-net mailing list
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2013-10-12 03:20 UTC by sh1970
Modified: 2018-05-28 20:55 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sh1970 2013-10-12 03:20:00 UTC
We've got a strange problem with lagg(4) interfaces built on Intel's  
82580 chipset igb (dual port 1Gb card).
We cannot send over lagg interface more than ~1Gb/s, yet receiving  
~2GB over it.
Looks like something indicating the problem can be seen here:

anri@host:[8:13]~#ifstat -i lagg0 -i igb1 -i igb3 1
       lagg0                igb1                igb3
  KB/s in  KB/s out   KB/s in  KB/s out   KB/s in  KB/s out
  9116.50  26515.16   4147.70  28871.43   5004.86  23683.31
  8423.08  26544.62   3853.22  28980.60   4594.21  23520.97
  8796.48  26395.28   4248.46  28344.00   4567.42  23978.17

Note (IN) traffic - everything's ok, about 50% on each igb interfaces  
and total summary on lagg0.
But (OUT) traffic looks weird - there is more traffic on the single  
igb1 than on lagg0!
Tried with default driver came with the system, also the new one  
igb-2.3.10 from Intel site - no luck.

Set net.link.lagg.0.use_flowid=0 not solve the problem.


Testing lagg interface built on other cards (em, bce) on the same  
machine shows expected normal behavior for both directions.

Fix: 

My system is freebsd 8.4, use the e1000 driver from freebsd 8.3 , the result is OK .
Comment 1 Andrew Kinney 2013-11-07 00:30:08 UTC
With outbound bytes double the expected value on an igb interface, 
you're probably running into
http://www.freebsd.org/cgi/query-pr.cgi?pr=kern/182828

Sincerely,
Andrew Kinney
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2013-11-07 02:48:47 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Over to maintainer(s).
Comment 3 Sean Bruno freebsd_committer 2015-08-04 15:32:00 UTC
This seems related to the other issues where folks disable LRO.  Does this help with your test?
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:44:45 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 5 Eugene Grosbein freebsd_committer 2018-05-28 20:55:08 UTC
Feedback timeout (over 2 years). Also, this is believed to work just fine for all supported branches.